//Ser
#define SER_BLOCK_SIZE          178
#define SER_FILEID_SIZE         14
#define SER_LUID_SIZE           4
#define SER_COLORID_SIZE        4
#define SER_LITTLEENDIAN_SIZE   4
#define SER_WIDTH_SIZE          4
#define SER_HEIGHT_SIZE         4
#define SER_PIXELDPTH_SIZE      4
#define SER_FRAMES_SIZE         4
#define SER_OBSERVER_SIZE       40
#define SER_INSTRUMENT_SIZE     40
#define SER_TELESCOPE_SIZE      40
#define SER_DATETIME_SIZE       8
#define SER_DATETIMEUTC_SIZE    8
#define SER_FRAMES_OFFSET       38
#define SER_DATETIME_OFFSET     162
#define SER_DATETIMEUTC_OFFSET  170

#define SER_COLORID_MONO		0
#define SER_COLORID_BAYER_RGGB	8
#define SER_COLORID_BAYER_GRBG	9
#define SER_COLORID_BAYER_GBRG	10
#define SER_COLORID_BAYER_BGGR	11
#define SER_COLORID_BAYER_CYYM	16
#define SER_COLORID_BAYER_YCMY	17
#define SER_COLORID_BAYER_YMCY	18
#define SER_COLORID_BAYER_MYYC	19
#define SER_COLORID_RGB			100
#define SER_COLORID_BGR			101

int InitSer(int bpp, int width, int height, char *fname, int colorID);
int WriteSERHeader(char *wfname);
int WriteSERImage(unsigned char *BinImage, int BinSize, int bpp);
int CloseSER();
